Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

Question

What Java Versions versions does Unanet Supportsupport?

Solution

As of Unanet

...

v11.0, any of the following versions of Java are supported:

Java VersionKnown Issues

Oracle Java 8

nN/aA
Oracle Java 11

Issue: display  Display issue with accounting currency format for negative numbers.

Workaround: Set the java.locale.providers system property to list the data sources such that COMPAT is the first preference.

-Djava.locale.providers=COMPAT,SPI,CLDR,HOST

Steps:

  1. Open the Tomcat Configuration.
  2. Click on Java Tab tab, set the property under Java Options as shown in the screen print image below. 
  3. Click Apply and Ok OK.
  4. Restart TomactTomcat.
Image Removed

  1. Image Added
OpenJDK 11

Issue: display Display issue with accounting currency format for negative numbers.

Workaround: Set the java.locale.providers system property to list the data sources such that COMPAT is the first preference.

-Djava.locale.providers=COMPAT,SPI,CLDR,HOST

Steps:

  1. Open the Tomcat Configuration.
  2. Click on Java Tab tab, set the property under Java Options as shown in the screen print image below. 
  3. Click Apply and Ok OK.
  4. Restart TomactTomcat.
Image Removed

  1. Image Added


As of Unanet

...

v10.3, we no longer support Java 1.7.

For Java versions supported for Unanet 10v10.3 version , please refer to Unanet 10.3 System Requirements Page.

Additional Information

For more information on the java.locale.providers property, please refer to the Oracle Java documentation.

...